Resolve special plan inquiry
curl --request POST \
--url https://api.hub.younegotiate.com/membership-inquiries/{membershipInquiry}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"price": 99,
"fee": 5,
"e_letter_fee": 0.5,
"upload_accounts_limit": 10000,
"description": "<string>",
"features": [
"<string>"
]
}
'import requests
url = "https://api.hub.younegotiate.com/membership-inquiries/{membershipInquiry}/resolve"
payload = {
"name": "<string>",
"price": 99,
"fee": 5,
"e_letter_fee": 0.5,
"upload_accounts_limit": 10000,
"description": "<string>",
"features": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
price: 99,
fee: 5,
e_letter_fee: 0.5,
upload_accounts_limit: 10000,
description: '<string>',
features: ['<string>']
})
};
fetch('https://api.hub.younegotiate.com/membership-inquiries/{membershipInquiry}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "The special membership created successfully",
"data": {
"membership": {
"id": 123,
"company_id": 123,
"name": "Growth Plan",
"price": 99,
"fee": 5,
"e_letter_fee": 0.5,
"upload_accounts_limit": 10000,
"description": "<string>",
"features": [
"<string>"
],
"status": true,
"position": 123,
"company_memberships_count": 123,
"is_purchased": true,
"company": {
"id": 123,
"company_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"membership_inquiry": {
"id": 123,
"description": "<string>",
"accounts_in_scope": 123,
"status_label": "New Inquiry",
"has_special_membership": true,
"company": {
"id": 123,
"company_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
},
"membership": {
"id": 123,
"company_id": 123,
"name": "Growth Plan",
"price": 99,
"fee": 5,
"e_letter_fee": 0.5,
"upload_accounts_limit": 10000,
"description": "<string>",
"features": [
"<string>"
],
"status": true,
"position": 123,
"company_memberships_count": 123,
"is_purchased": true,
"company": {
"id": 123,
"company_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Resolve special plan inquiry
Create or update the company-specific membership for the selected special plan inquiry and mark the inquiry as resolved.
POST
/
membership-inquiries
/
{membershipInquiry}
/
resolve
Resolve special plan inquiry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Membership inquiry ID.
Body
application/json
Maximum string length:
40Required range:
x >= 0Example:
99
Required range:
0 <= x <= 100Example:
5
Required range:
0.05 <= x <= 25Example:
0.5
Required range:
x >= 1Example:
10000
Available options:
weekly, monthly, yearly Maximum string length:
255Maximum string length:
255Last modified on July 20, 2026
Was this page helpful?
⌘I

